ListContactVersions
Returns a list of versions for a specified contact.
Request Syntax
GET /contact/contactId/versions?maxResults=maxResults&nextToken=nextToken HTTP/1.1
URI Request Parameters
The request uses the following URI parameters.
- contactId
-
UUID of a contact.
Length Constraints: Fixed length of 36.
Pattern:
[a-f0-9]{8}-[a-f0-9]{4}-[a-f0-9]{4}-[a-f0-9]{4}-[a-f0-9]{12}Required: Yes
- maxResults
-
Maximum number of contact versions returned.
Valid Range: Minimum value of 1. Maximum value of 100.
- nextToken
-
Next token returned in the request of a previous
ListContactVersionscall. Used to get the next page of results.Length Constraints: Minimum length of 3. Maximum length of 1000.
Pattern:
[A-Za-z0-9-/+_.=]+
Request Body
The request does not have a request body.
Response Syntax
HTTP/1.1 200
Content-type: application/json
{
"contactVersionsList": [
{
"activated": number,
"created": number,
"failureCodes": [ "string" ],
"failureMessage": "string",
"lastUpdated": number,
"status": "string",
"superseded": number,
"versionId": number
}
],
"nextToken": "string"
}
Response Elements
If the action is successful, the service sends back an HTTP 200 response.
The following data is returned in JSON format by the service.
- contactVersionsList
-
List of contact versions.
Type: Array of ContactVersion objects
- nextToken
-
Next token to be used in a subsequent
ListContactVersionscall to retrieve the next page of results.Type: String
Length Constraints: Minimum length of 3. Maximum length of 1000.
Pattern:
[A-Za-z0-9-/+_.=]+
Errors
For information about the errors that are common to all actions, see Common Error Types.
- DependencyException
-
Dependency encountered an error.
- parameterName
-
Name of the parameter that caused the exception.
HTTP Status Code: 531
- InvalidParameterException
-
One or more parameters are not valid.
- parameterName
-
Name of the invalid parameter.
HTTP Status Code: 431
- ResourceNotFoundException
-
Resource was not found.
HTTP Status Code: 434
See Also
For more information about using this API in one of the language-specific AWS SDKs, see the following: